Support » Plugin: jQuery Manager for WordPress » PHP Deprecated

  • I saw another topic with this same error. I’m using PHP 7.4.

    AH01071: Got error ‘PHP message: PHP Deprecated: Non-static method wp_jquery_manager_plugin::autoptimize_support() should not be called statically in /public_html/wp-includes/class-wp-hook.php on line 287’

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Remzi Cavdar

    (@remzicavdar)

    Hi @jinsley8

    My apologies for the late reply I had some private problems to deal with.
    I promise a while ago to another user to look into it which I will do if I have time to do so. Keep in mind that this is a side project and some sort of hobby.

    I will get back to you when I will do this.

    Kind regards,
    Remzi

    Hello,

    Just go to the file: /wp-content/plugins/jquery-manager/jquery-manager.php,
    and change the non-static method to static on Line 170.

    FROM:
    public function autoptimize_support( $dontmove_array ) {
    TO:
    public static function autoptimize_support( $dontmove_array ) {

    I don’t see a single reason why this function could not be static, because its only purpose is to pass that path to Autooptimize plugin.

    Regards,
    Edgars from WEBHAUS

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.